html, body {
    height: 100%;
    overflow: hidden;
    overscroll-behavior: none;
}

.carData {
    /* font-family: 'PingFang SC', 'Microsoft YaHei', sans-serif; */
    /* background-color: #f5f5f5; */
    height: 100vh;
    overflow-y: auto;
    overscroll-behavior: none;
    -webkit-overflow-scrolling: touch;
    color: #313131;
    position: relative;
}
head{display: none;}
.version-price {
    position: sticky;
    top: 0;
    z-index: 1000;
    background-color: #fff;
    /* height: 0.96rem; */
    /* padding: 0.16rem 0.24rem; */
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* box-shadow: 0 0.02rem 0.04rem rgba(0, 0, 0, 0.1); */
}

.config-title {
    font-size: 0.22rem;
    /* font-weight: bold; */
    margin: 0 auto;
    width: 86%;
    /* color: #333; */
}

.config-close {
    font-size: 0.28rem;
    color: #666;
    cursor: pointer;
    line-height: 1;
}

.config-close:hover {
    color: #000;
}

.top-header {
    position: sticky;
    left:0;
    height: 0.62rem;
    z-index: 999;
    /* padding-bottom:0.14rem ; */
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #c5c5c5;
}

.vp-table {
    width: 86%;
    margin: 0 auto;
    border-collapse: collapse;
}

.vp-table thead tr {
    height: 0.76rem;
    padding-top: 0.32rem;
    border-bottom: 0.01rem solid #eee;
}

.vp-table th {
    font-size: 0.2rem;
    font-weight: normal;
}

.vp-table th:nth-child(1) {
    width: 20%;
    text-align: left;
}

.vp-table th:nth-child(n+2) {
    width: 26.67%;
    text-align: center;
}

.vp-table td:nth-child(1) {
    width: 20%;
}

.vp-table td:nth-child(n+2) {
    width: 26.67%;
    text-align: center;
}

.vp-name {
    font-size: 0.14rem;
    color: #666;
    margin-bottom: 0.16rem;
}

/* .vp-image {
    margin-bottom: 0.16rem;
} */
.version-price .param-table td .vp-image{
     height: 1.1rem;
}
.version-price .param-table td .vp-image img {
    /* max-width: 1.2rem; */
    /* width: 1.8rem; */
    /* height: 1.1rem; */
    /* height: auto; */
    /* width: 100%; */
    height: 100%;
    /* object-fit: cover; */
}

.vp-price {
    font-size: 0.16rem;
    /* color: #666; */
    height: 0.4rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.vp-price span {
    font-size: 0.24rem;
    font-weight: bold;
    /* color: #e53935; */
}

.surcharge {
    font-size: 0.16rem;
}

.car-params {
    width: 86%;
    margin: 0 auto;
    padding: 0 0 0.16rem;
    z-index: 10;
}

.param-section {
    background-color: #fff;
    /* margin-bottom: 0.16rem; */
    border-radius: 0.04rem;
    /* overflow: hidden; */
}

.param-header {
    /* position: relative; */
    display: flex;
    align-items: center;
    position: sticky;
    height: 0.92rem;
    /* padding: 0.16rem 0.24rem; */
    
    /* background-color: #fafafa; */
    border-bottom: 0.01rem solid #7a7a7e;
    cursor: pointer;
    transition: background-color 0.3s;
}

.param-header:hover {
    /* background-color: #f0f0f0; */
}

.param-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 0.3rem;
    height: 0.3rem;
    border-radius: 50%;
    border: 0.02rem solid #b7b7b7;
    /* background-color: #999; */
    color: #b7b7b7;
    line-height: 1;
    font-size: 0.26rem;
    font-weight: bold;
    font-weight: 300;
    margin-right: 0.14rem;
    transition: all 0.3s;
}

.param-section.active .param-icon {
    /* background-color: #333; */
}

.param-title {
    font-size: 0.22rem;
    font-weight: bold;
    color: #333;
}

.param-content {
    padding: 0;
    overflow-y: hidden;
    transition: max-height 0.3s ease, padding 0.3s ease;
    max-height: 10rem;
    margin-bottom: 0.86rem;
}

.param-content.hidden {
    max-height: 0;
    padding: 0;
    /* display: none; */
}

.param-table {
    width: 100%;
    border-collapse: collapse;
}

.param-table tr {
    display: flex;
}

.param-table th,
.param-table td {
    padding: 0.12rem 0.24rem;
    text-align: center;
    border-bottom: 0.01rem solid #ededed;
    font-size: 0.18rem;
    box-sizing: border-box;
    border-right: 0.01rem solid #ededed;
    word-wrap: break-word;
    word-break: break-all;
    white-space: normal;
}
.param-table td img{
    height: 0.32rem;
}
.param-table th {
    flex: 0 0 20%;
    width: 20%;
    /* color: #666; */
    font-weight: normal;
    /* background-color: #fafafa; */
}

.param-table td {
    flex: 1;
    color: #333;
}

.param-table tr:last-child td,
.param-table tr:last-child th {
    /* border-bottom: none; */
}

.color-dot {
    display: inline-block;
    width: 0.16rem;
    height: 0.16rem;
    border-radius: 50%;
    margin-right: 0.08rem;
    vertical-align: middle;
}
.version-price .param-content{
    width: 86%;
    margin: 0 auto;
}
.version-price .param-table *{
    border-bottom: initial;
    border-right: initial;
}
.version-price .param-table tr:first-child *{
     border-bottom: 0.01rem solid #e1e1e1;
     height: 0.8rem;
     display: flex;
     align-items: center;
     justify-content: center;
     padding-top: 0.26rem;
}

@media (max-width: 768px) {
    /* .config-header {
        padding: 0.12rem 0.16rem;
    } */
     .version-price{
        
     }
    .vp-table {
        width: auto;
    }
    .config-title {
        font-size: 0.32rem;
    }
    .vp-row{
        margin-left: 0.32rem;
        width: auto;
    }
    .vp-row .vp-item{
        font-size: 0.28rem;
    }
    .vp-table th:nth-child(n+2){
        width: 40vw;
    }
    .vp-table th:nth-child(1){
        width: 30vw;
    }
    .car-params{
        width: fit-content;
        position: relative;
    }
    .param-table td img{
        height: 0.42rem;
    }
    .param-section{
         width: fit-content;
        position: relative;
    }
    .top-header{
        position: sticky;
        left: 0;
        height: 0.96rem;
        width: 100vw;
        z-index: 999;
    }
    .param-content{
        position: relative;
        overflow: initial;
        opacity: 1;
        max-height: initial;
    }
    .version-price .param-content{
        width: initial;
        margin: initial;
    }
    .vp-image{
       overflow: hidden;
    }
    .param-content.hidden {
        max-height: 0;
        padding: 0;
        opacity: 0;
        transition: opacity 0.3s ease;

    }
    .param-icon{
        width: 0.42rem;
        height: 0.42rem;
        font-size: 0.34rem;
    }
    .param-header{
        height: 1.24rem;
    }
    .param-section .param-header{
        position: sticky;
        left: 0;
        
        width: 100vw;
        z-index: 999;
        /* background-color: #fff; */
    }
     .param-section .param-header .param-icon{
            margin-left: 0.16rem;
     }
    .param-table th{
        position: sticky;
        top: 3.6rem;
        left: 0;
        z-index: 2;
        width: 35vw;
        background-color: #fff;
    }
    .param-table td{
        width: 40vw;
    }
    .param-table th, .param-table td{
        font-size: 0.26rem;
        /* padding: 0.2rem 0.28rem; */
    }
    .version-price .param-table *{
        padding: 0;
    }
    .version-price .param-table tr:first-child *{
        font-size: 0.28rem;
    }
    .version-price .param-table td .vp-image{
        width: 100%;
        height: 2.06rem;
    }
    .version-price .param-table td .vp-image img{
        /* width: 100%; */
        height: 100%;
        object-fit: cover;
    }
    .vp-price{
        height: 0.72rem;
        font-size: 0.22rem;
    }
    .vp-price span{
        font-size: 0.34rem;
    }
    .surcharge{
        font-size: 0.22rem;
    }
    .param-title{
        font-size: 0.3rem;
    }
    .vp-table td:nth-child(1){
        width: 30vw;
    }
    .vp-table td:nth-child(n+2){
          width: 40vw;
    }
}
